All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Interface _rprxRemoteBookmarkManagerV2

All Superinterfaces:
  java.rmi.Remote, com.sas.rmi.RemoteBaseInterface, com.sas.rmi.RMIBaseInterface

All Known Implementing Classes:
  _rprxRemoteBookmarkManagerV2Server

    public interface _rprxRemoteBookmarkManagerV2

extends com.sas.rmi.RMIBaseInterface

Method Summary
`com.sas.collection.hlist.HListInterface` | `_getBookmarkData(com.sas.collection.hlist.HListInterface p1)`
`com.sas.collection.hlist.HListInterface` | `_getBookmarks(long p1, java.lang.String p2)`
`com.sas.collection.hlist.HListInterface` | `_getBookmarks(long p1, java.lang.String p2, java.lang.String p3)`
`java.lang.String[]` | `_getMessage()`
`com.sas.collection.hlist.HListInterface` | `_getPublicBookmarks(long p1, java.lang.String p2)`
`com.sas.collection.hlist.HListInterface` | `_getUsers(long p1, boolean p2)`
`void` | `_RemoteConstructor()`
`long` | `_setBookmarks(java.lang.String p1, long p2, java.lang.String p3, java.lang.String p4, com.sas.collection.hlist.HListInterface p5)`
`long` | `_validateUser(java.lang.String p1, java.lang.String p2)`
`java.lang.Object` | `getBookmarkData(java.lang.Object p1)`
`java.lang.Object` | `getBookmarks(long p1, java.lang.String p2)`
`java.lang.Object` | `getBookmarks(long p1, java.lang.String p2, java.lang.String p3)`
`com.sas.collection.hlist.HListInterface` | `getPublicBookmarks(long p1, java.lang.String p2)`
`java.lang.String[]` | `getUsers(long p1, boolean p2)`
`void` | `setBookmarks(java.lang.String p1, long p2, java.lang.String p3, java.lang.String p4, java.lang.Object p5)`
`int` | `validateUser(java.lang.String p1, java.lang.String p2)`

Method Detail

### _RemoteConstructor

    void _RemoteConstructor()
                            throws java.lang.Exception,
                                   java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### getPublicBookmarks

    com.sas.collection.hlist.HListInterface getPublicBookmarks(long p1,
                                                               java.lang.String p2)
                                                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getBookmarks

    java.lang.Object getBookmarks(long p1,
                                  java.lang.String p2)
                                  throws java.rmi.RemoteException,
                                         BookmarkException

  Throws:
    `java.rmi.RemoteException`
    `BookmarkException`

### getBookmarks

    java.lang.Object getBookmarks(long p1,
                                  java.lang.String p2,
                                  java.lang.String p3)
                                  throws java.rmi.RemoteException,
                                         BookmarkException

  Throws:
    `java.rmi.RemoteException`
    `BookmarkException`

### setBookmarks

    void setBookmarks(java.lang.String p1,
                      long p2,
                      java.lang.String p3,
                      java.lang.String p4,
                      java.lang.Object p5)
                      throws java.rmi.RemoteException,
                             BookmarkException

  Throws:
    `java.rmi.RemoteException`
    `BookmarkException`

### getUsers

    java.lang.String[] getUsers(long p1,
                                boolean p2)
                                throws java.rmi.RemoteException,
                                       BookmarkException

  Throws:
    `java.rmi.RemoteException`
    `BookmarkException`

### validateUser

    int validateUser(java.lang.String p1,
                     java.lang.String p2)
                     throws java.rmi.RemoteException,
                            BookmarkException

  Throws:
    `java.rmi.RemoteException`
    `BookmarkException`

### getBookmarkData

    java.lang.Object getBookmarkData(java.lang.Object p1)
                                     throws java.rmi.RemoteException,
                                            BookmarkException

  Throws:
    `java.rmi.RemoteException`
    `BookmarkException`

### _getBookmarks

    com.sas.collection.hlist.HListInterface _getBookmarks(long p1,
                                                          java.lang.String p2)
                                                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getBookmarks

    com.sas.collection.hlist.HListInterface _getBookmarks(long p1,
                                                          java.lang.String p2,
                                                          java.lang.String p3)
                                                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _setBookmarks

    long _setBookmarks(java.lang.String p1,
                       long p2,
                       java.lang.String p3,
                       java.lang.String p4,
                       com.sas.collection.hlist.HListInterface p5)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getUsers

    com.sas.collection.hlist.HListInterface _getUsers(long p1,
                                                      boolean p2)
                                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _validateUser

    long _validateUser(java.lang.String p1,
                       java.lang.String p2)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getMessage

    java.lang.String[] _getMessage()
                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getBookmarkData

    com.sas.collection.hlist.HListInterface _getBookmarkData(com.sas.collection.hlist.HListInterface p1)
                                                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### _getPublicBookmarks

    com.sas.collection.hlist.HListInterface _getPublicBookmarks(long p1,
                                                                java.lang.String p2)
                                                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.